/**
 * Copyright 2008 Bluestem Software LLC.  All Rights Reserved.
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

package org.bluestemsoftware.open.eoa.example.warehouse.manager.util;

import java.io.Serializable;

import org.bluestemsoftware.specification.eoa.application.spring.MyOperation;

/**
 * Models an 'outsanding request', i.incomplete message exchange.
 */
public class OutstandingRequest implements Serializable {

    private static final long serialVersionUID = 1L;

    private boolean responseSent;
    private MyOperation messageExchange;

    public OutstandingRequest() {
    }

    public OutstandingRequest(MyOperation messageExchange) {
        this.messageExchange = messageExchange;
    }

    public String getID() {
        return messageExchange.getID();
    }

    public MyOperation getMessageExchange() {
        return messageExchange;
    }

    public boolean isResponseSent() {
        return responseSent;
    }

    public void setResponseSent(boolean responseSent) {
        this.responseSent = responseSent;
    }

}
